{
  "name": "fullstack-fuware",
  "private": true,
  "type": "module",
  "scripts": {
    "dev": "vite dev --port 3000",
    "build": "vite build",
    "preview": "vite preview",
    "test": "vitest run",
    "lint": "eslint",
    "format": "prettier",
    "check": "prettier --write . && eslint --fix",
    "post-cta-init": "npx create-db@latest",
    "db:reset": "dotenv -e .env.local -- prisma migrate reset",
    "db:generate": "dotenv -e .env.local -- prisma generate",
    "db:push": "dotenv -e .env.local -- prisma db push",
    "db:migrate": "dotenv -e .env.local -- prisma migrate dev",
    "db:studio": "dotenv -e .env.local -- prisma studio",
    "db:seed": "dotenv -e .env.local -- prisma db seed"
  },
  "dependencies": {
    "@base-ui/react": "^1.0.0",
    "@fontsource-variable/inter": "^5.2.8",
    "@phosphor-icons/react": "^2.1.10",
    "@prisma/adapter-pg": "^7.1.0",
    "@prisma/client": "^7.4.1",
    "@tailwindcss/vite": "^4.0.6",
    "@tanstack/react-devtools": "^0.9.4",
    "@tanstack/react-form": "^1.27.7",
    "@tanstack/react-query": "^5.66.5",
    "@tanstack/react-query-devtools": "^5.84.2",
    "@tanstack/react-router": "^1.132.0",
    "@tanstack/react-router-devtools": "^1.132.0",
    "@tanstack/react-router-ssr-query": "^1.131.7",
    "@tanstack/react-start": "^1.132.0",
    "@tanstack/react-table": "^8.21.3",
    "@tanstack/router-plugin": "^1.132.0",
    "better-auth": "^1.4.10",
    "class-variance-authority": "^0.7.1",
    "clsx": "^2.1.1",
    "html-react-parser": "^5.2.16",
    "next-themes": "^0.4.6",
    "pnpm": "^10.30.2",
    "radix-ui": "^1.4.3",
    "react": "^19.2.4",
    "react-dom": "^19.2.4",
    "shadcn": "^3.6.1",
    "sonner": "^2.0.7",
    "tailwind-merge": "^3.0.2",
    "tailwindcss": "^4.0.6",
    "tw-animate-css": "^1.3.6",
    "vite-tsconfig-paths": "^6.0.5",
    "zod": "^4.3.6",
    "zustand": "^5.0.11"
  },
  "devDependencies": {
    "@inlang/paraglide-js": "2.10.0",
    "@tanstack/devtools-vite": "^0.5.0",
    "@tanstack/eslint-config": "^0.3.0",
    "@testing-library/dom": "^10.4.0",
    "@testing-library/react": "^16.2.0",
    "@types/node": "^25.2.0",
    "@types/react": "^19.2.0",
    "@types/react-dom": "^19.2.0",
    "@vitejs/plugin-react": "^5.0.4",
    "dotenv-cli": "^11.0.0",
    "jsdom": "^28.0.0",
    "prettier": "^3.8.1",
    "prisma": "^7.4.1",
    "tsx": "^4.20.6",
    "typescript": "^5.7.2",
    "vite": "^7.1.7",
    "vitest": "^4.0.18",
    "web-vitals": "^5.1.0"
  }
}
